Bug 799006 - can't save vym map
Summary: can't save vym map
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vym
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-01 14:34 UTC by Marcela Mašláňová
Modified: 2012-03-24 19:12 UTC (History)
1 user (show)

Fixed In Version: vym-1.12.7-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-13 18:43:11 UTC


Attachments (Terms of Use)

Description Marcela Mašláňová 2012-03-01 14:34:16 UTC
Description of problem:
I can't save my vym map. Not even export to something else. I can try only save as, not save. After 'save as' are shown again and again error messages:
Critical error - Couldn't start zip to compress data.
The file on the map on disk has changed:
/tmp/vym-zip-*/a.xml

I tried save as xml or vym file. I also installed zip, which wasn't installed (required) by vym.

Version-Release number of selected component (if applicable):
vym-1.13.41-1.fc16.x86_64

How reproducible:
Create some map and try 'save as' preferably in vym format.

Comment 1 Gwyn Ciesla 2012-03-06 17:44:29 UTC
Did installing zip resolve the problem?  I've not run into this, but I've been running 2.x for some time.

Comment 2 Marcela Mašláňová 2012-03-07 09:43:53 UTC
After restart of application it started to work. Why isn't vym requiring zip? Saving *.vym map is the basic function of this tool.

Comment 3 Gwyn Ciesla 2012-03-07 13:36:30 UTC
Well color me surprised.  In the nearly 5 years I've been using and maintaining this package, this has never come up, but sure enough, a quick look at the source shows that it indeed calls the command-line zip and unzip.  It also calls cp.

I suspect that the reason I've not seen this before is that zip, unzip, and, so help me, coreutils, are all in the Base or Core comps groups, and so are on the vast majority of systems.

Nevertheless, they should be required.  I'll get a fix out for all releases ASAP.  Thanks!

Comment 4 Marcela Mašláňová 2012-03-07 13:54:02 UTC
Many packages don't have all requires correctly in spec-file, but usually no-one noticed. I have only minimal net install and KDE, so I've never have zip installed.
Thanks for fix.

Comment 5 Fedora Update System 2012-03-07 14:06:06 UTC
vym-1.12.7-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/vym-1.12.7-2.el6

Comment 6 Fedora Update System 2012-03-07 14:06:14 UTC
vym-2.0.6-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/vym-2.0.6-2.fc17

Comment 7 Fedora Update System 2012-03-07 14:06:48 UTC
vym-1.13.41-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/vym-1.13.41-2.fc15

Comment 8 Fedora Update System 2012-03-07 14:06:58 UTC
vym-1.10.0-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/vym-1.10.0-5.el5

Comment 9 Fedora Update System 2012-03-07 14:07:06 UTC
vym-1.13.41-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/vym-1.13.41-2.fc16

Comment 10 Fedora Update System 2012-03-07 18:39:27 UTC
Package vym-1.12.7-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing vym-1.12.7-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0706/vym-1.12.7-2.el6
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2012-03-13 18:43:11 UTC
vym-2.0.6-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-03-17 23:39:01 UTC
vym-1.13.41-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2012-03-17 23:52:19 UTC
vym-1.13.41-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2012-03-24 19:06:17 UTC
vym-1.10.0-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2012-03-24 19:12:02 UTC
vym-1.12.7-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.